Bug 885142 - UnicodeDecodeError on Duplicity Webdav backend
Summary: UnicodeDecodeError on Duplicity Webdav backend
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 17
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 15:25 UTC by Eduardo Villagrán Morales
Modified: 2013-08-01 09:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 09:43:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Eduardo Villagrán Morales 2012-12-07 15:25:03 UTC
Description of problem:
duplicity show error when I use webdav backend on LANG=es_ES:
LANG=es_ES duplicity --no-encryption Documentos/ webdav://webdav:xxxx@localhost/dav
Los metadatos en local y remoto est�n sincronizados, no es necesario sincronizar.
Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1391, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1384, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1264, in main
    globals.archive_dir).set_values()
  File "/usr/lib/python2.7/site-packages/duplicity/collections.py", line 696, in set_values
    self.get_backup_chains(partials + backend_filename_list)
  File "/usr/lib/python2.7/site-packages/duplicity/collections.py", line 819, in get_backup_chains
    map(add_to_sets, filename_list)
  File "/usr/lib/python2.7/site-packages/duplicity/collections.py", line 818, in add_to_sets
    log.Debug(_("Ignoring file (rejected by backup set) '%s'") % filename)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2: ordinal not in range(128)

But work fien if it run with LANG=en_EN:
[eduardo@basilisco ~]$ LANG=en_EN duplicity --no-encryption Documentos/ webdav://webdav:xxxx@localhost/dav
Local and Remote metadata are synchronized, no sync needed.
Last full backup date: Fri Dec  7 11:36:05 2012
--------------[ Backup Statistics ]--------------
StartTime 1354893580.66 (Fri Dec  7 12:19:40 2012)
EndTime 1354893580.67 (Fri Dec  7 12:19:40 2012)
ElapsedTime 0.01 (0.01 seconds)
SourceFiles 15
SourceFileSize 3264137 (3.11 MB)
NewFiles 0
NewFileSize 0 (0 bytes)
DeletedFiles 0
ChangedFiles 0
ChangedFileSize 0 (0 bytes)
ChangedDeltaSize 0 (0 bytes)
DeltaEntries 0
RawDeltaSize 0 (0 bytes)
TotalDestinationSizeChange 20 (20 bytes)
Errors 0
-------------------------------------------------


Version-Release number of selected component (if applicable):
duplicity-0.6.18-1.fc17.i686
librsync-0.9.7-17.fc17.i686
python-2.7.3-7.2.fc17.i686

How reproducible:
Run duplicity using webdav backend with LANG=es_ES:

Steps to Reproduce:
1. export LANG=en_ES
2. duplicity command using webdav backend
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1391, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1384, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1264, in main
    globals.archive_dir).set_values()
  File "/usr/lib/python2.7/site-packages/duplicity/collections.py", line 696, in set_values
    self.get_backup_chains(partials + backend_filename_list)
  File "/usr/lib/python2.7/site-packages/duplicity/collections.py", line 819, in get_backup_chains
    map(add_to_sets, filename_list)
  File "/usr/lib/python2.7/site-packages/duplicity/collections.py", line 818, in add_to_sets
    log.Debug(_("Ignoring file (rejected by backup set) '%s'") % filename)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2: ordinal not in range(128)


Expected results:
It's must work with any LANG

Additional info:

Comment 1 Fedora End Of Life 2013-07-04 02:54:58 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2013-08-01 09:43:39 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.